<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myRemPartLabel" jhiTranslate="mpmApp.remPart.home.createOrEditLabel">Create or edit a Rem Part</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!remPart.idProduct">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="remPart.idProduct" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.remPart.name" for="field_name">Name</label>
            <input type="text" class="form-control" name="name" id="field_name"
                [(ngModel)]="remPart.name"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.remPart.dateIntroduction" for="field_dateIntroduction">Date Introduction</label>
            <div class="input-group">
                <p-calendar inputId="field_dateIntroduction" name="input_dateIntroduction" [(ngModel)]="remPart.dateIntroduction"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>

        <div class="form-group">
            <label jhiTranslate="mpmApp.remPart.uom" for="field_uom">Uom</label>
            <select class="form-control" id="field_uom" name="uom" [(ngModel)]="remPart.uomId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="uomOption.idUom" *ngFor="let uomOption of uoms; trackBy: trackUomById">{{uomOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.remPart.feature" for="field_feature">Feature</label>
            <select class="form-control" id="field_feature" multiple name="feature" [(ngModel)]="remPart.features">
                <option [ngValue]="getSelected(remPart.features, featureOption)" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.remPart.productCategory" for="field_category">Category</label>
            <select class="form-control" id="field_category" multiple name="category" [(ngModel)]="remPart.categories">
                <option [ngValue]="getSelected(remPart.categories, categoryOption)" *ngFor="let categoryOption of categories; trackBy: trackCategoryById">{{categoryOption.description}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
